using System;
using System.Windows.Forms;
using System.Drawing;
using System.ComponentModel;
using System.Collections;

namespace CSharpDemo
{
	public partial class Form1
	{
		
#region Windows Form Designer generated code
		private System.Windows.Forms.Button btnOpen;
        private System.Windows.Forms.Button btnClose;
        private System.Windows.Forms.ListBox lstPorts;
        private System.Windows.Forms.TextBox textBoxOut;
        private System.Windows.Forms.Button btnSend;
        private System.Windows.Forms.TextBox txtText;
        private System.Windows.Forms.RadioButton rbAscii;
        private System.Windows.Forms.RadioButton rbDecimal;
        private System.Windows.Forms.RadioButton rbHexa;
        private ListBox lstBaudRates;
        private Label label1;
        private Label label2;
        private ListBox lstDataWidth;
        private Label label3;
        private ListBox lstParity;
        private Label label4;
        private ListBox lstStopBits;
        private Label label5;
        private ListBox lstHrdwFlow;
        private Label label6;
        private ListBox lstSoftFlow;
        private Button btnApply;

		private void InitializeComponent()
		{
            this.components = new System.ComponentModel.Container();
            this.textBoxOut = new System.Windows.Forms.TextBox();
            this.lstPorts = new System.Windows.Forms.ListBox();
            this.btnOpen = new System.Windows.Forms.Button();
            this.btnClose = new System.Windows.Forms.Button();
            this.btnSend = new System.Windows.Forms.Button();
            this.txtText = new System.Windows.Forms.TextBox();
            this.rbAscii = new System.Windows.Forms.RadioButton();
            this.rbDecimal = new System.Windows.Forms.RadioButton();
            this.rbHexa = new System.Windows.Forms.RadioButton();
            this.lstBaudRates = new System.Windows.Forms.ListBox();
            this.label1 = new System.Windows.Forms.Label();
            this.label2 = new System.Windows.Forms.Label();
            this.lstDataWidth = new System.Windows.Forms.ListBox();
            this.label3 = new System.Windows.Forms.Label();
            this.lstParity = new System.Windows.Forms.ListBox();
            this.label4 = new System.Windows.Forms.Label();
            this.lstStopBits = new System.Windows.Forms.ListBox();
            this.label5 = new System.Windows.Forms.Label();
            this.lstHrdwFlow = new System.Windows.Forms.ListBox();
            this.label6 = new System.Windows.Forms.Label();
            this.lstSoftFlow = new System.Windows.Forms.ListBox();
            this.btnApply = new System.Windows.Forms.Button();
            this.checkBoxDTR = new System.Windows.Forms.CheckBox();
            this.checkBoxRTS = new System.Windows.Forms.CheckBox();
            this.label7 = new System.Windows.Forms.Label();
            this.label8 = new System.Windows.Forms.Label();
            this.lblCts = new System.Windows.Forms.Label();
            this.lblDsr = new System.Windows.Forms.Label();
            this.lblCd = new System.Windows.Forms.Label();
            this.lblRing = new System.Windows.Forms.Label();
            this.label9 = new System.Windows.Forms.Label();
            this.checkBoxShowHiddenChars = new System.Windows.Forms.CheckBox();
            this.buttonDetect = new System.Windows.Forms.Button();
            this.timerReconnect = new System.Windows.Forms.Timer(this.components);
            this.checkBoxReconnect = new System.Windows.Forms.CheckBox();
            this.SuspendLayout();
            // 
            // textBoxOut
            // 
            this.textBoxOut.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
            | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
            this.textBoxOut.Location = new System.Drawing.Point(8, 245);
            this.textBoxOut.Multiline = true;
            this.textBoxOut.Name = "textBoxOut";
            this.textBoxOut.ReadOnly = true;
            this.textBoxOut.ScrollBars = System.Windows.Forms.ScrollBars.Both;
            this.textBoxOut.Size = new System.Drawing.Size(592, 175);
            this.textBoxOut.TabIndex = 0;
            // 
            // lstPorts
            // 
            this.lstPorts.Items.AddRange(new object[] {
            "COM1",
            "COM2",
            "COM3",
            "COM4",
            "COM5",
            "COM6",
            "COM7",
            "COM8",
            "COM9",
            "COM10",
            "COM11",
            "COM12",
            "COM13",
            "COM14",
            "COM15",
            "COM16",
            "COM17",
            "COM18",
            "COM19",
            "COM20",
            "COM21",
            "COM22",
            "COM23",
            "COM24",
            "COM25"});
            this.lstPorts.Location = new System.Drawing.Point(8, 8);
            this.lstPorts.Name = "lstPorts";
            this.lstPorts.Size = new System.Drawing.Size(79, 56);
            this.lstPorts.TabIndex = 1;
            // 
            // btnOpen
            // 
            this.btnOpen.Location = new System.Drawing.Point(98, 8);
            this.btnOpen.Name = "btnOpen";
            this.btnOpen.Size = new System.Drawing.Size(75, 23);
            this.btnOpen.TabIndex = 2;
            this.btnOpen.Text = "Open";
            this.btnOpen.Click += new System.EventHandler(this.btnOpen_Click);
            // 
            // btnClose
            // 
            this.btnClose.Location = new System.Drawing.Point(98, 40);
            this.btnClose.Name = "btnClose";
            this.btnClose.Size = new System.Drawing.Size(75, 23);
            this.btnClose.TabIndex = 3;
            this.btnClose.Text = "Close";
            this.btnClose.Click += new System.EventHandler(this.btnClose_Click);
            // 
            // btnSend
            // 
            this.btnSend.Location = new System.Drawing.Point(203, 169);
            this.btnSend.Name = "btnSend";
            this.btnSend.Size = new System.Drawing.Size(75, 23);
            this.btnSend.TabIndex = 4;
            this.btnSend.Text = "Send";
            this.btnSend.Click += new System.EventHandler(this.btnSend_Click);
            // 
            // txtText
            // 
            this.txtText.Location = new System.Drawing.Point(9, 172);
            this.txtText.Name = "txtText";
            this.txtText.Size = new System.Drawing.Size(188, 20);
            this.txtText.TabIndex = 5;
            // 
            // rbAscii
            // 
            this.rbAscii.Checked = true;
            this.rbAscii.Location = new System.Drawing.Point(59, 210);
            this.rbAscii.Name = "rbAscii";
            this.rbAscii.Size = new System.Drawing.Size(74, 24);
            this.rbAscii.TabIndex = 6;
            this.rbAscii.TabStop = true;
            this.rbAscii.Text = "ASCII";
            // 
            // rbDecimal
            // 
            this.rbDecimal.Location = new System.Drawing.Point(122, 210);
            this.rbDecimal.Name = "rbDecimal";
            this.rbDecimal.Size = new System.Drawing.Size(74, 24);
            this.rbDecimal.TabIndex = 7;
            this.rbDecimal.Text = "Decimal";
            // 
            // rbHexa
            // 
            this.rbHexa.Location = new System.Drawing.Point(202, 210);
            this.rbHexa.Name = "rbHexa";
            this.rbHexa.Size = new System.Drawing.Size(74, 24);
            this.rbHexa.TabIndex = 8;
            this.rbHexa.Text = "Hexa";
            // 
            // lstBaudRates
            // 
            this.lstBaudRates.FormattingEnabled = true;
            this.lstBaudRates.Items.AddRange(new object[] {
            "75",
            "110",
            "134",
            "150",
            "300",
            "600",
            "1200",
            "1800",
            "2400",
            "4800",
            "7200",
            "9600",
            "14400",
            "19200",
            "38400",
            "57600",
            "115200",
            "128000",
            "230400",
            "256000",
            "460800",
            "921600"});
            this.lstBaudRates.Location = new System.Drawing.Point(8, 103);
            this.lstBaudRates.Name = "lstBaudRates";
            this.lstBaudRates.Size = new System.Drawing.Size(59, 56);
            this.lstBaudRates.TabIndex = 9;
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Location = new System.Drawing.Point(8, 84);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(58, 13);
            this.label1.TabIndex = 10;
            this.label1.Text = "Baud Rate";
            // 
            // label2
            // 
            this.label2.AutoSize = true;
            this.label2.Location = new System.Drawing.Point(73, 84);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(61, 13);
            this.label2.TabIndex = 12;
            this.label2.Text = "Data Width";
            // 
            // lstDataWidth
            // 
            this.lstDataWidth.FormattingEnabled = true;
            this.lstDataWidth.Items.AddRange(new object[] {
            "5 bits",
            "6 bits",
            "7 bits",
            "8 bits"});
            this.lstDataWidth.Location = new System.Drawing.Point(73, 103);
            this.lstDataWidth.Name = "lstDataWidth";
            this.lstDataWidth.Size = new System.Drawing.Size(59, 56);
            this.lstDataWidth.TabIndex = 11;
            // 
            // label3
            // 
            this.label3.AutoSize = true;
            this.label3.Location = new System.Drawing.Point(138, 84);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(33, 13);
            this.label3.TabIndex = 14;
            this.label3.Text = "Parity";
            // 
            // lstParity
            // 
            this.lstParity.FormattingEnabled = true;
            this.lstParity.Items.AddRange(new object[] {
            "None",
            "Odd",
            "Even",
            "Mark",
            "Space"});
            this.lstParity.Location = new System.Drawing.Point(138, 103);
            this.lstParity.Name = "lstParity";
            this.lstParity.Size = new System.Drawing.Size(59, 56);
            this.lstParity.TabIndex = 13;
            // 
            // label4
            // 
            this.label4.AutoSize = true;
            this.label4.Location = new System.Drawing.Point(203, 84);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(49, 13);
            this.label4.TabIndex = 16;
            this.label4.Text = "Stop Bits";
            // 
            // lstStopBits
            // 
            this.lstStopBits.FormattingEnabled = true;
            this.lstStopBits.Items.AddRange(new object[] {
            "1",
            "1.5",
            "2"});
            this.lstStopBits.Location = new System.Drawing.Point(203, 103);
            this.lstStopBits.Name = "lstStopBits";
            this.lstStopBits.Size = new System.Drawing.Size(59, 56);
            this.lstStopBits.TabIndex = 15;
            // 
            // label5
            // 
            this.label5.AutoSize = true;
            this.label5.Location = new System.Drawing.Point(268, 84);
            this.label5.Name = "label5";
            this.label5.Size = new System.Drawing.Size(62, 13);
            this.label5.TabIndex = 18;
            this.label5.Text = "Hardw. Ctrl.";
            // 
            // lstHrdwFlow
            // 
            this.lstHrdwFlow.FormattingEnabled = true;
            this.lstHrdwFlow.Items.AddRange(new object[] {
            "None",
            "DTR/DTS",
            "RTS/CTS"});
            this.lstHrdwFlow.Location = new System.Drawing.Point(268, 103);
            this.lstHrdwFlow.Name = "lstHrdwFlow";
            this.lstHrdwFlow.Size = new System.Drawing.Size(59, 56);
            this.lstHrdwFlow.TabIndex = 17;
            // 
            // label6
            // 
            this.label6.AutoSize = true;
            this.label6.Location = new System.Drawing.Point(333, 84);
            this.label6.Name = "label6";
            this.label6.Size = new System.Drawing.Size(58, 13);
            this.label6.TabIndex = 20;
            this.label6.Text = "Softw. Ctrl.";
            // 
            // lstSoftFlow
            // 
            this.lstSoftFlow.FormattingEnabled = true;
            this.lstSoftFlow.Items.AddRange(new object[] {
            "None",
            "XON/XOFF"});
            this.lstSoftFlow.Location = new System.Drawing.Point(333, 103);
            this.lstSoftFlow.Name = "lstSoftFlow";
            this.lstSoftFlow.Size = new System.Drawing.Size(59, 56);
            this.lstSoftFlow.TabIndex = 19;
            // 
            // btnApply
            // 
            this.btnApply.Location = new System.Drawing.Point(402, 169);
            this.btnApply.Name = "btnApply";
            this.btnApply.Size = new System.Drawing.Size(75, 23);
            this.btnApply.TabIndex = 22;
            this.btnApply.Text = "Apply";
            this.btnApply.Click += new System.EventHandler(this.btnApply_Click);
            // 
            // checkBoxDTR
            // 
            this.checkBoxDTR.AutoSize = true;
            this.checkBoxDTR.Location = new System.Drawing.Point(402, 140);
            this.checkBoxDTR.Name = "checkBoxDTR";
            this.checkBoxDTR.Size = new System.Drawing.Size(49, 17);
            this.checkBoxDTR.TabIndex = 23;
            this.checkBoxDTR.Text = "DTR";
            this.checkBoxDTR.UseVisualStyleBackColor = true;
            // 
            // checkBoxRTS
            // 
            this.checkBoxRTS.AutoSize = true;
            this.checkBoxRTS.Location = new System.Drawing.Point(402, 110);
            this.checkBoxRTS.Name = "checkBoxRTS";
            this.checkBoxRTS.Size = new System.Drawing.Size(48, 17);
            this.checkBoxRTS.TabIndex = 24;
            this.checkBoxRTS.Text = "RTS";
            this.checkBoxRTS.UseVisualStyleBackColor = true;
            // 
            // label7
            // 
            this.label7.AutoSize = true;
            this.label7.Location = new System.Drawing.Point(399, 84);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(54, 13);
            this.label7.TabIndex = 25;
            this.label7.Text = "Set Lines:";
            // 
            // label8
            // 
            this.label8.AutoSize = true;
            this.label8.Location = new System.Drawing.Point(4, 215);
            this.label8.Name = "label8";
            this.label8.Size = new System.Drawing.Size(47, 13);
            this.label8.TabIndex = 26;
            this.label8.Text = "View as:";
            // 
            // lblCts
            // 
            this.lblCts.AutoSize = true;
            this.lblCts.Location = new System.Drawing.Point(493, 104);
            this.lblCts.Name = "lblCts";
            this.lblCts.Size = new System.Drawing.Size(28, 13);
            this.lblCts.TabIndex = 30;
            this.lblCts.Text = "CTS";
            // 
            // lblDsr
            // 
            this.lblDsr.AutoSize = true;
            this.lblDsr.Location = new System.Drawing.Point(493, 127);
            this.lblDsr.Name = "lblDsr";
            this.lblDsr.Size = new System.Drawing.Size(30, 13);
            this.lblDsr.TabIndex = 31;
            this.lblDsr.Text = "DSR";
            // 
            // lblCd
            // 
            this.lblCd.AutoSize = true;
            this.lblCd.Location = new System.Drawing.Point(493, 151);
            this.lblCd.Name = "lblCd";
            this.lblCd.Size = new System.Drawing.Size(30, 13);
            this.lblCd.TabIndex = 32;
            this.lblCd.Text = "DCD";
            // 
            // lblRing
            // 
            this.lblRing.AutoSize = true;
            this.lblRing.Location = new System.Drawing.Point(493, 171);
            this.lblRing.Name = "lblRing";
            this.lblRing.Size = new System.Drawing.Size(34, 13);
            this.lblRing.TabIndex = 33;
            this.lblRing.Text = "RING";
            // 
            // label9
            // 
            this.label9.AutoSize = true;
            this.label9.Location = new System.Drawing.Point(492, 84);
            this.label9.Name = "label9";
            this.label9.Size = new System.Drawing.Size(35, 13);
            this.label9.TabIndex = 34;
            this.label9.Text = "Lines:";
            // 
            // checkBoxShowHiddenChars
            // 
            this.checkBoxShowHiddenChars.AutoSize = true;
            this.checkBoxShowHiddenChars.Location = new System.Drawing.Point(271, 214);
            this.checkBoxShowHiddenChars.Name = "checkBoxShowHiddenChars";
            this.checkBoxShowHiddenChars.Size = new System.Drawing.Size(120, 17);
            this.checkBoxShowHiddenChars.TabIndex = 35;
            this.checkBoxShowHiddenChars.Text = "Show Hidden Chars";
            this.checkBoxShowHiddenChars.UseVisualStyleBackColor = true;
            // 
            // buttonDetect
            // 
            this.buttonDetect.Location = new System.Drawing.Point(402, 210);
            this.buttonDetect.Name = "buttonDetect";
            this.buttonDetect.Size = new System.Drawing.Size(75, 23);
            this.buttonDetect.TabIndex = 37;
            this.buttonDetect.Text = "Detect";
            this.buttonDetect.UseVisualStyleBackColor = true;
            this.buttonDetect.Click += new System.EventHandler(this.buttonDetect_Click);
            // 
            // timerReconnect
            // 
            this.timerReconnect.Interval = 1000;
            this.timerReconnect.Tick += new System.EventHandler(this.timerReconnect_Tick);
            // 
            // checkBoxReconnect
            // 
            this.checkBoxReconnect.AutoSize = true;
            this.checkBoxReconnect.Checked = true;
            this.checkBoxReconnect.CheckState = System.Windows.Forms.CheckState.Checked;
            this.checkBoxReconnect.Location = new System.Drawing.Point(188, 14);
            this.checkBoxReconnect.Name = "checkBoxReconnect";
            this.checkBoxReconnect.Size = new System.Drawing.Size(79, 17);
            this.checkBoxReconnect.TabIndex = 39;
            this.checkBoxReconnect.Text = "Reconnect";
            this.checkBoxReconnect.UseVisualStyleBackColor = true;
            this.checkBoxReconnect.CheckedChanged += new System.EventHandler(this.checkBoxReconnect_CheckedChanged);
            // 
            // Form1
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(612, 432);
            this.Controls.Add(this.checkBoxReconnect);
            this.Controls.Add(this.buttonDetect);
            this.Controls.Add(this.checkBoxShowHiddenChars);
            this.Controls.Add(this.label9);
            this.Controls.Add(this.lblRing);
            this.Controls.Add(this.lblCd);
            this.Controls.Add(this.lblDsr);
            this.Controls.Add(this.lblCts);
            this.Controls.Add(this.label8);
            this.Controls.Add(this.label7);
            this.Controls.Add(this.checkBoxRTS);
            this.Controls.Add(this.checkBoxDTR);
            this.Controls.Add(this.btnApply);
            this.Controls.Add(this.label6);
            this.Controls.Add(this.lstSoftFlow);
            this.Controls.Add(this.label5);
            this.Controls.Add(this.lstHrdwFlow);
            this.Controls.Add(this.label4);
            this.Controls.Add(this.lstStopBits);
            this.Controls.Add(this.label3);
            this.Controls.Add(this.lstParity);
            this.Controls.Add(this.label2);
            this.Controls.Add(this.lstDataWidth);
            this.Controls.Add(this.label1);
            this.Controls.Add(this.lstBaudRates);
            this.Controls.Add(this.rbHexa);
            this.Controls.Add(this.rbDecimal);
            this.Controls.Add(this.rbAscii);
            this.Controls.Add(this.txtText);
            this.Controls.Add(this.btnSend);
            this.Controls.Add(this.btnClose);
            this.Controls.Add(this.btnOpen);
            this.Controls.Add(this.lstPorts);
            this.Controls.Add(this.textBoxOut);
            this.Name = "Form1";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "ZylSerialPort.NET Demo - Dynamic";
            this.FormClosed += new System.Windows.Forms.FormClosedEventHandler(this.Form1_FormClosed);
            this.Load += new System.EventHandler(this.Form1_Load);
            this.ResumeLayout(false);
            this.PerformLayout();

		}
		#endregion

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

        private CheckBox checkBoxDTR;
        private CheckBox checkBoxRTS;
        private Label label7;
        private Label label8;
        private Label lblCts;
        private Label lblDsr;
        private Label lblCd;
        private Label lblRing;
        private Label label9;
        private CheckBox checkBoxShowHiddenChars;
        private Button buttonDetect;
        private Timer timerReconnect;
        private CheckBox checkBoxReconnect;
	}
}
