using System;
using System.Windows.Forms;
using System.Drawing;
using System.ComponentModel;
using System.Collections;

namespace CSharpDemo
{
	public partial class Form1
	{
		
#region Windows Form Designer generated code
		private System.Windows.Forms.Button btnOpen;
        private System.Windows.Forms.Button btnClose;
        private System.Windows.Forms.ListBox lstPorts;
        private System.Windows.Forms.TextBox textBoxOut;
        private System.Windows.Forms.Button btnSend;
        private System.Windows.Forms.TextBox txtText;
        private System.Windows.Forms.RadioButton rbAscii;
        private System.Windows.Forms.RadioButton rbDecimal;
        private System.Windows.Forms.RadioButton rbHexa;
        private ListBox lstBaudRates;
        private Label label1;
        private Label label2;
        private ListBox lstDataWidth;
        private Label label3;
        private ListBox lstParity;
        private Label label4;
        private ListBox lstStopBits;
        private Label label5;
        private ListBox lstHrdwFlow;
        private Label label6;
        private ListBox lstSoftFlow;
        private Button btnApply;

		private void InitializeComponent()
		{
            this.components = new System.ComponentModel.Container();
            this.textBoxOut = new System.Windows.Forms.TextBox();
            this.lstPorts = new System.Windows.Forms.ListBox();
            this.btnOpen = new System.Windows.Forms.Button();
            this.btnClose = new System.Windows.Forms.Button();
            this.btnSend = new System.Windows.Forms.Button();
            this.txtText = new System.Windows.Forms.TextBox();
            this.rbAscii = new System.Windows.Forms.RadioButton();
            this.rbDecimal = new System.Windows.Forms.RadioButton();
            this.rbHexa = new System.Windows.Forms.RadioButton();
            this.lstBaudRates = new System.Windows.Forms.ListBox();
            this.label1 = new System.Windows.Forms.Label();
            this.label2 = new System.Windows.Forms.Label();
            this.lstDataWidth = new System.Windows.Forms.ListBox();
            this.label3 = new System.Windows.Forms.Label();
            this.lstParity = new System.Windows.Forms.ListBox();
            this.label4 = new System.Windows.Forms.Label();
            this.lstStopBits = new System.Windows.Forms.ListBox();
            this.label5 = new System.Windows.Forms.Label();
            this.lstHrdwFlow = new System.Windows.Forms.ListBox();
            this.label6 = new System.Windows.Forms.Label();
            this.lstSoftFlow = new System.Windows.Forms.ListBox();
            this.btnApply = new System.Windows.Forms.Button();
            this.checkBoxDTR = new System.Windows.Forms.CheckBox();
            this.checkBoxRTS = new System.Windows.Forms.CheckBox();
            this.label7 = new System.Windows.Forms.Label();
            this.label8 = new System.Windows.Forms.Label();
            this.lblCts = new System.Windows.Forms.Label();
            this.lblDsr = new System.Windows.Forms.Label();
            this.lblCd = new System.Windows.Forms.Label();
            this.lblRing = new System.Windows.Forms.Label();
            this.label9 = new System.Windows.Forms.Label();
            this.checkBoxShowHiddenChars = new System.Windows.Forms.CheckBox();
            this.buttonDetect = new System.Windows.Forms.Button();
            this.timerReconnect = new System.Windows.Forms.Timer(this.components);
            this.checkBoxReconnect = new System.Windows.Forms.CheckBox();
            this.serialPort = new ZylSoft.Serial.SerialPort(this.components);
            this.SuspendLayout();
            // 
            // textBoxOut
            // 
            this.textBoxOut.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
            | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
            this.textBoxOut.Location = new System.Drawing.Point(10, 302);
            this.textBoxOut.Multiline = true;
            this.textBoxOut.Name = "textBoxOut";
            this.textBoxOut.ReadOnly = true;
            this.textBoxOut.ScrollBars = System.Windows.Forms.ScrollBars.Both;
            this.textBoxOut.Size = new System.Drawing.Size(664, 115);
            this.textBoxOut.TabIndex = 0;
            // 
            // lstPorts
            // 
            this.lstPorts.ItemHeight = 15;
            this.lstPorts.Items.AddRange(new object[] {
            "COM1",
            "COM2",
            "COM3",
            "COM4",
            "COM5",
            "COM6",
            "COM7",
            "COM8",
            "COM9",
            "COM10",
            "COM11",
            "COM12",
            "COM13",
            "COM14",
            "COM15",
            "COM16",
            "COM17",
            "COM18",
            "COM19",
            "COM20",
            "COM21",
            "COM22",
            "COM23",
            "COM24",
            "COM25"});
            this.lstPorts.Location = new System.Drawing.Point(10, 10);
            this.lstPorts.Name = "lstPorts";
            this.lstPorts.Size = new System.Drawing.Size(94, 49);
            this.lstPorts.TabIndex = 1;
            // 
            // btnOpen
            // 
            this.btnOpen.Location = new System.Drawing.Point(118, 10);
            this.btnOpen.Name = "btnOpen";
            this.btnOpen.Size = new System.Drawing.Size(90, 28);
            this.btnOpen.TabIndex = 2;
            this.btnOpen.Text = "Open";
            this.btnOpen.Click += new System.EventHandler(this.btnOpen_Click);
            // 
            // btnClose
            // 
            this.btnClose.Location = new System.Drawing.Point(118, 49);
            this.btnClose.Name = "btnClose";
            this.btnClose.Size = new System.Drawing.Size(90, 29);
            this.btnClose.TabIndex = 3;
            this.btnClose.Text = "Close";
            this.btnClose.Click += new System.EventHandler(this.btnClose_Click);
            // 
            // btnSend
            // 
            this.btnSend.Location = new System.Drawing.Point(244, 208);
            this.btnSend.Name = "btnSend";
            this.btnSend.Size = new System.Drawing.Size(90, 28);
            this.btnSend.TabIndex = 4;
            this.btnSend.Text = "Send";
            this.btnSend.Click += new System.EventHandler(this.btnSend_Click);
            // 
            // txtText
            // 
            this.txtText.Location = new System.Drawing.Point(11, 212);
            this.txtText.Name = "txtText";
            this.txtText.Size = new System.Drawing.Size(225, 23);
            this.txtText.TabIndex = 5;
            // 
            // rbAscii
            // 
            this.rbAscii.Checked = true;
            this.rbAscii.Location = new System.Drawing.Point(71, 258);
            this.rbAscii.Name = "rbAscii";
            this.rbAscii.Size = new System.Drawing.Size(89, 30);
            this.rbAscii.TabIndex = 6;
            this.rbAscii.TabStop = true;
            this.rbAscii.Text = "ASCII";
            // 
            // rbDecimal
            // 
            this.rbDecimal.Location = new System.Drawing.Point(146, 258);
            this.rbDecimal.Name = "rbDecimal";
            this.rbDecimal.Size = new System.Drawing.Size(89, 30);
            this.rbDecimal.TabIndex = 7;
            this.rbDecimal.Text = "Decimal";
            // 
            // rbHexa
            // 
            this.rbHexa.Location = new System.Drawing.Point(242, 258);
            this.rbHexa.Name = "rbHexa";
            this.rbHexa.Size = new System.Drawing.Size(89, 30);
            this.rbHexa.TabIndex = 8;
            this.rbHexa.Text = "Hexa";
            // 
            // lstBaudRates
            // 
            this.lstBaudRates.FormattingEnabled = true;
            this.lstBaudRates.ItemHeight = 15;
            this.lstBaudRates.Items.AddRange(new object[] {
            "75",
            "110",
            "134",
            "150",
            "300",
            "600",
            "1200",
            "1800",
            "2400",
            "4800",
            "7200",
            "9600",
            "14400",
            "19200",
            "38400",
            "57600",
            "115200",
            "128000",
            "230400",
            "256000",
            "460800",
            "921600"});
            this.lstBaudRates.Location = new System.Drawing.Point(10, 127);
            this.lstBaudRates.Name = "lstBaudRates";
            this.lstBaudRates.Size = new System.Drawing.Size(70, 49);
            this.lstBaudRates.TabIndex = 9;
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Location = new System.Drawing.Point(10, 103);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(60, 15);
            this.label1.TabIndex = 10;
            this.label1.Text = "Baud Rate";
            // 
            // label2
            // 
            this.label2.AutoSize = true;
            this.label2.Location = new System.Drawing.Point(88, 103);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(66, 15);
            this.label2.TabIndex = 12;
            this.label2.Text = "Data Width";
            // 
            // lstDataWidth
            // 
            this.lstDataWidth.FormattingEnabled = true;
            this.lstDataWidth.ItemHeight = 15;
            this.lstDataWidth.Items.AddRange(new object[] {
            "5 bits",
            "6 bits",
            "7 bits",
            "8 bits"});
            this.lstDataWidth.Location = new System.Drawing.Point(88, 127);
            this.lstDataWidth.Name = "lstDataWidth";
            this.lstDataWidth.Size = new System.Drawing.Size(70, 49);
            this.lstDataWidth.TabIndex = 11;
            // 
            // label3
            // 
            this.label3.AutoSize = true;
            this.label3.Location = new System.Drawing.Point(166, 103);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(37, 15);
            this.label3.TabIndex = 14;
            this.label3.Text = "Parity";
            // 
            // lstParity
            // 
            this.lstParity.FormattingEnabled = true;
            this.lstParity.ItemHeight = 15;
            this.lstParity.Items.AddRange(new object[] {
            "None",
            "Odd",
            "Even",
            "Mark",
            "Space"});
            this.lstParity.Location = new System.Drawing.Point(166, 127);
            this.lstParity.Name = "lstParity";
            this.lstParity.Size = new System.Drawing.Size(70, 49);
            this.lstParity.TabIndex = 13;
            // 
            // label4
            // 
            this.label4.AutoSize = true;
            this.label4.Location = new System.Drawing.Point(244, 103);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(53, 15);
            this.label4.TabIndex = 16;
            this.label4.Text = "Stop Bits";
            // 
            // lstStopBits
            // 
            this.lstStopBits.FormattingEnabled = true;
            this.lstStopBits.ItemHeight = 15;
            this.lstStopBits.Items.AddRange(new object[] {
            "1",
            "1.5",
            "2"});
            this.lstStopBits.Location = new System.Drawing.Point(244, 127);
            this.lstStopBits.Name = "lstStopBits";
            this.lstStopBits.Size = new System.Drawing.Size(70, 49);
            this.lstStopBits.TabIndex = 15;
            // 
            // label5
            // 
            this.label5.AutoSize = true;
            this.label5.Location = new System.Drawing.Point(322, 103);
            this.label5.Name = "label5";
            this.label5.Size = new System.Drawing.Size(70, 15);
            this.label5.TabIndex = 18;
            this.label5.Text = "Hardw. Ctrl.";
            // 
            // lstHrdwFlow
            // 
            this.lstHrdwFlow.FormattingEnabled = true;
            this.lstHrdwFlow.ItemHeight = 15;
            this.lstHrdwFlow.Items.AddRange(new object[] {
            "None",
            "DTR/DTS",
            "RTS/CTS"});
            this.lstHrdwFlow.Location = new System.Drawing.Point(322, 127);
            this.lstHrdwFlow.Name = "lstHrdwFlow";
            this.lstHrdwFlow.Size = new System.Drawing.Size(70, 49);
            this.lstHrdwFlow.TabIndex = 17;
            // 
            // label6
            // 
            this.label6.AutoSize = true;
            this.label6.Location = new System.Drawing.Point(400, 103);
            this.label6.Name = "label6";
            this.label6.Size = new System.Drawing.Size(65, 15);
            this.label6.TabIndex = 20;
            this.label6.Text = "Softw. Ctrl.";
            // 
            // lstSoftFlow
            // 
            this.lstSoftFlow.FormattingEnabled = true;
            this.lstSoftFlow.ItemHeight = 15;
            this.lstSoftFlow.Items.AddRange(new object[] {
            "None",
            "XON/XOFF"});
            this.lstSoftFlow.Location = new System.Drawing.Point(400, 127);
            this.lstSoftFlow.Name = "lstSoftFlow";
            this.lstSoftFlow.Size = new System.Drawing.Size(70, 49);
            this.lstSoftFlow.TabIndex = 19;
            // 
            // btnApply
            // 
            this.btnApply.Location = new System.Drawing.Point(482, 208);
            this.btnApply.Name = "btnApply";
            this.btnApply.Size = new System.Drawing.Size(90, 28);
            this.btnApply.TabIndex = 22;
            this.btnApply.Text = "Apply";
            this.btnApply.Click += new System.EventHandler(this.btnApply_Click);
            // 
            // checkBoxDTR
            // 
            this.checkBoxDTR.AutoSize = true;
            this.checkBoxDTR.Location = new System.Drawing.Point(482, 172);
            this.checkBoxDTR.Name = "checkBoxDTR";
            this.checkBoxDTR.Size = new System.Drawing.Size(46, 19);
            this.checkBoxDTR.TabIndex = 23;
            this.checkBoxDTR.Text = "DTR";
            this.checkBoxDTR.UseVisualStyleBackColor = true;
            // 
            // checkBoxRTS
            // 
            this.checkBoxRTS.AutoSize = true;
            this.checkBoxRTS.Location = new System.Drawing.Point(482, 135);
            this.checkBoxRTS.Name = "checkBoxRTS";
            this.checkBoxRTS.Size = new System.Drawing.Size(44, 19);
            this.checkBoxRTS.TabIndex = 24;
            this.checkBoxRTS.Text = "RTS";
            this.checkBoxRTS.UseVisualStyleBackColor = true;
            // 
            // label7
            // 
            this.label7.AutoSize = true;
            this.label7.Location = new System.Drawing.Point(479, 103);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(56, 15);
            this.label7.TabIndex = 25;
            this.label7.Text = "Set Lines:";
            // 
            // label8
            // 
            this.label8.AutoSize = true;
            this.label8.Location = new System.Drawing.Point(5, 265);
            this.label8.Name = "label8";
            this.label8.Size = new System.Drawing.Size(49, 15);
            this.label8.TabIndex = 26;
            this.label8.Text = "View as:";
            // 
            // lblCts
            // 
            this.lblCts.AutoSize = true;
            this.lblCts.Location = new System.Drawing.Point(592, 128);
            this.lblCts.Name = "lblCts";
            this.lblCts.Size = new System.Drawing.Size(27, 15);
            this.lblCts.TabIndex = 30;
            this.lblCts.Text = "CTS";
            // 
            // lblDsr
            // 
            this.lblDsr.AutoSize = true;
            this.lblDsr.Location = new System.Drawing.Point(592, 156);
            this.lblDsr.Name = "lblDsr";
            this.lblDsr.Size = new System.Drawing.Size(28, 15);
            this.lblDsr.TabIndex = 31;
            this.lblDsr.Text = "DSR";
            // 
            // lblCd
            // 
            this.lblCd.AutoSize = true;
            this.lblCd.Location = new System.Drawing.Point(592, 186);
            this.lblCd.Name = "lblCd";
            this.lblCd.Size = new System.Drawing.Size(31, 15);
            this.lblCd.TabIndex = 32;
            this.lblCd.Text = "DCD";
            // 
            // lblRing
            // 
            this.lblRing.AutoSize = true;
            this.lblRing.Location = new System.Drawing.Point(592, 210);
            this.lblRing.Name = "lblRing";
            this.lblRing.Size = new System.Drawing.Size(34, 15);
            this.lblRing.TabIndex = 33;
            this.lblRing.Text = "RING";
            // 
            // label9
            // 
            this.label9.AutoSize = true;
            this.label9.Location = new System.Drawing.Point(590, 103);
            this.label9.Name = "label9";
            this.label9.Size = new System.Drawing.Size(37, 15);
            this.label9.TabIndex = 34;
            this.label9.Text = "Lines:";
            // 
            // checkBoxShowHiddenChars
            // 
            this.checkBoxShowHiddenChars.AutoSize = true;
            this.checkBoxShowHiddenChars.Location = new System.Drawing.Point(325, 263);
            this.checkBoxShowHiddenChars.Name = "checkBoxShowHiddenChars";
            this.checkBoxShowHiddenChars.Size = new System.Drawing.Size(130, 19);
            this.checkBoxShowHiddenChars.TabIndex = 35;
            this.checkBoxShowHiddenChars.Text = "Show Hidden Chars";
            this.checkBoxShowHiddenChars.UseVisualStyleBackColor = true;
            // 
            // buttonDetect
            // 
            this.buttonDetect.Location = new System.Drawing.Point(482, 258);
            this.buttonDetect.Name = "buttonDetect";
            this.buttonDetect.Size = new System.Drawing.Size(90, 29);
            this.buttonDetect.TabIndex = 37;
            this.buttonDetect.Text = "Detect";
            this.buttonDetect.UseVisualStyleBackColor = true;
            this.buttonDetect.Click += new System.EventHandler(this.buttonDetect_Click);
            // 
            // timerReconnect
            // 
            this.timerReconnect.Interval = 1000;
            this.timerReconnect.Tick += new System.EventHandler(this.timerReconnect_Tick);
            // 
            // checkBoxReconnect
            // 
            this.checkBoxReconnect.AutoSize = true;
            this.checkBoxReconnect.Checked = true;
            this.checkBoxReconnect.CheckState = System.Windows.Forms.CheckState.Checked;
            this.checkBoxReconnect.Location = new System.Drawing.Point(226, 17);
            this.checkBoxReconnect.Name = "checkBoxReconnect";
            this.checkBoxReconnect.Size = new System.Drawing.Size(82, 19);
            this.checkBoxReconnect.TabIndex = 39;
            this.checkBoxReconnect.Text = "Reconnect";
            this.checkBoxReconnect.UseVisualStyleBackColor = true;
            this.checkBoxReconnect.CheckedChanged += new System.EventHandler(this.checkBoxReconnect_CheckedChanged);
            // 
            // serialPort
            // 
            this.serialPort.AutoReceive = true;
            this.serialPort.AutoReconnect = false;
            this.serialPort.AutoReconnectCheckInterval = 4000;
            this.serialPort.BaudRate = ZylSoft.Serial.SerialBaudRate.Br004800;
            this.serialPort.CloseWhenLineStatusIsZero = true;
            this.serialPort.CustomBaudRate = ((uint)(0u));
            this.serialPort.CustomPortName = "port1";
            this.serialPort.DataWidth = ZylSoft.Serial.SerialDataWidth.Dw8Bits;
            this.serialPort.Delay = 1000;
            this.serialPort.DiscardNulls = false;
            this.serialPort.DsrSensitivity = false;
            this.serialPort.EnableDtrOnOpen = false;
            this.serialPort.EnableRtsOnOpen = false;
            this.serialPort.EofChar = ((uint)(0u));
            this.serialPort.ErrorChar = ((uint)(0u));
            this.serialPort.EvtChar = ((uint)(26u));
            this.serialPort.HardwareFlowControl = ZylSoft.Serial.SerialHardwareFlowControl.None;
            this.serialPort.IdleInterval = 10000;
            this.serialPort.InputBuffer = 4096;
            this.serialPort.Interval = 1000;
            this.serialPort.LogDateTime = true;
            this.serialPort.LogFile = "d:\\serialnet.txt";
            this.serialPort.LogInput = true;
            this.serialPort.MaxLineLength = 0;
            this.serialPort.MinCheckDisconnectedInterval = 50;
            this.serialPort.NeedSynchronization = false;
            this.serialPort.NewLine = "\r\n";
            this.serialPort.OutputBuffer = 4096;
            this.serialPort.PacketSize = ((uint)(0u));
            this.serialPort.ParityBits = ZylSoft.Serial.SerialParityBits.None;
            this.serialPort.ParityCheck = false;
            this.serialPort.Port = ZylSoft.Serial.SerialCommPort.COM2;
            this.serialPort.Priority = System.Threading.ThreadPriority.Normal;
            this.serialPort.ReadIntervalTimeout = ((uint)(4294967295u));
            this.serialPort.ReadTotalTimeoutConstant = ((uint)(0u));
            this.serialPort.ReadTotalTimeoutMultiplier = ((uint)(0u));
            this.serialPort.ReplaceParityErrors = false;
            this.serialPort.SkipSetupFailed = false;
            this.serialPort.SoftwareFlowControl = ZylSoft.Serial.SerialSoftwareFlowControl.None;
            this.serialPort.StopBits = ZylSoft.Serial.SerialStopBits.Sb1Bit;
            this.serialPort.TxContinueOnXoff = false;
            this.serialPort.WriteTotalTimeoutConstant = 1000;
            this.serialPort.WriteTotalTimeoutMultiplier = 100;
            this.serialPort.XoffChar = ((uint)(19u));
            this.serialPort.XoffLim = ((ushort)(1));
            this.serialPort.XonChar = ((uint)(17u));
            this.serialPort.XonLim = ((ushort)(0));
            this.serialPort.Received += new System.EventHandler<ZylSoft.Serial.DataEventArgs>(this.serialPort_Received);
            this.serialPort.Sent += new System.EventHandler<ZylSoft.Serial.DataEventArgs>(this.serialPort_Sent);
            this.serialPort.Connected += new System.EventHandler<ZylSoft.Serial.ConnectionEventArgs>(this.serialPort_Connected);
            this.serialPort.Disconnected += new System.EventHandler<ZylSoft.Serial.ConnectionEventArgs>(this.serialPort_Disconnected);
            this.serialPort.Faulted += new System.EventHandler<ZylSoft.Serial.ConnectionEventArgs>(this.serialPort_Faulted);
            this.serialPort.LineStatusChanged += new System.EventHandler<ZylSoft.Serial.LineStatusEventArgs>(this.serialPort_LineStatusChanged);
            this.serialPort.Idle += new System.EventHandler<System.EventArgs>(this.serialPort_Idle);
            this.serialPort.Resumed += new System.EventHandler<System.EventArgs>(this.serialPort_Resume);
            // 
            // Form1
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(6, 16);
            this.ClientSize = new System.Drawing.Size(688, 432);
            this.Controls.Add(this.checkBoxReconnect);
            this.Controls.Add(this.buttonDetect);
            this.Controls.Add(this.checkBoxShowHiddenChars);
            this.Controls.Add(this.label9);
            this.Controls.Add(this.lblRing);
            this.Controls.Add(this.lblCd);
            this.Controls.Add(this.lblDsr);
            this.Controls.Add(this.lblCts);
            this.Controls.Add(this.label8);
            this.Controls.Add(this.label7);
            this.Controls.Add(this.checkBoxRTS);
            this.Controls.Add(this.checkBoxDTR);
            this.Controls.Add(this.btnApply);
            this.Controls.Add(this.label6);
            this.Controls.Add(this.lstSoftFlow);
            this.Controls.Add(this.label5);
            this.Controls.Add(this.lstHrdwFlow);
            this.Controls.Add(this.label4);
            this.Controls.Add(this.lstStopBits);
            this.Controls.Add(this.label3);
            this.Controls.Add(this.lstParity);
            this.Controls.Add(this.label2);
            this.Controls.Add(this.lstDataWidth);
            this.Controls.Add(this.label1);
            this.Controls.Add(this.lstBaudRates);
            this.Controls.Add(this.rbHexa);
            this.Controls.Add(this.rbDecimal);
            this.Controls.Add(this.rbAscii);
            this.Controls.Add(this.txtText);
            this.Controls.Add(this.btnSend);
            this.Controls.Add(this.btnClose);
            this.Controls.Add(this.btnOpen);
            this.Controls.Add(this.lstPorts);
            this.Controls.Add(this.textBoxOut);
            this.Name = "Form1";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "ZylSerialPort.NET Demo";
            this.Closed += new System.EventHandler(this.Form1_Closed);
            this.Load += new System.EventHandler(this.Form1_Load);
            this.ResumeLayout(false);
            this.PerformLayout();

		}
		#endregion

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

        private CheckBox checkBoxDTR;
        private CheckBox checkBoxRTS;
        private Label label7;
        private Label label8;
        private Label lblCts;
        private Label lblDsr;
        private Label lblCd;
        private Label lblRing;
        private Label label9;
        private CheckBox checkBoxShowHiddenChars;
        private Button buttonDetect;
        private Timer timerReconnect;
        private CheckBox checkBoxReconnect;
	}
}
